<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; ?>

			<!-- footer -->
	        <footer class="footer">
				<?php 
					$border_visibility = maxrank_option('footer-border-visibility'); 
					$border_theme = maxrank_option('footer-border-theme'); 
					$border_top = maxrank_option('footer-top-border', 'border-top'); 
					$border_style = maxrank_option('footer-top-border', 'border-style'); 
					$border_color = maxrank_option('footer-top-border', 'border-color'); 
					$border_height = maxrank_option('footer-border-height').'px'; 
					$first_border_color = maxrank_option('first-border-color'); 
					$second_border_color = maxrank_option('second-border-color'); 
					$third_border_color = maxrank_option('third-border-color'); 
					$fourth_border_color = maxrank_option('fourth-border-color'); 
					$fifth_border_color = maxrank_option('fifth-border-color'); 
				?>
				
				<?php if( $border_visibility == true) : ?>
				
					<?php if( $border_theme == 1) : ?>
						<div class="footer-border" style="border-width: <?php echo esc_attr($border_top); ?>; border-style: <?php echo esc_attr($border_style); ?>; border-color: <?php echo esc_attr($border_color); ?>;"></div>
					<?php else :  ?>
						<div class="footer-top-border-style" style = "height : <?php echo esc_attr($border_height); ?>">
							<span class="border-bg-one" style="background-color: <?php echo esc_attr($first_border_color); ?>"></span>
							<span class="border-bg-two" style="background-color: <?php echo esc_attr($second_border_color); ?>"></span>
							<span class="border-bg-three" style="background-color: <?php echo esc_attr($third_border_color); ?>"></span>
							<span class="border-bg-four" style="background-color: <?php echo esc_attr($fourth_border_color); ?>"></span>
							<span class="border-bg-five" style="background-color: <?php echo esc_attr($fifth_border_color); ?>"></span>
						</div>
					<?php endif; ?>
					
				<?php endif; ?>

	            <!-- footer top section -->
	            <div class="footer-top-section section-padding" style="background-color: <?php echo esc_attr(maxrank_option('footer-bg-color')); ?>;">
	                <div class="container">
	                    <div class="row">
	                        <div class="col-sm-12 col-md-6">
	                            <div class="widget footer-widget about-widget">
	                                <div class="widget-title mb-20">
		                                <a href="<?php echo esc_url( home_url() ); ?>">
											<?php $footer_logo = maxrank_option('footer-logo', 'url'); ?>
		                                    <img src="<?php echo esc_url($footer_logo) ?>" alt="">
		                                </a>
	                                </div>

	                                <div class="widget-about-info mb-30">
									   	<?php echo wp_kses(maxrank_option('footer-about-text'), array(
											'a'          => array(
												'href'   => array(),
												'title'  => array(),
												'target' => array()
											),
											'b'     => array(),
											'br'     => array(),
											'em'     => array(),
											'strong' => array(),
											'ul'     => array(),
											'li'     => array(),
											'del'      => array(),
											'p'      => array(),
											'span'   => array(
												'class' => array()
											)
										)); ?>
	                                </div>
									
									<?php if(maxrank_option('footer-learn-more-btn-visibility', false, true)) : ?>
		                                <div class="footer-menu">
											<?php 
												$footer_learn_more_btn_link = maxrank_option('footer-learn-more-button-link');
												$footer_learn_more_btn_text = maxrank_option('footer-learn-more-button-text');
											?>
		                                    <a href="<?php echo esc_url($footer_learn_more_btn_link); ?>"><?php echo esc_html($footer_learn_more_btn_text); ?></a>
		                                </div>
									<?php endif; ?>
	                            </div>
	                        </div> <!-- /.col-md-4 -->
							
							<div class="col-sm-12 col-md-6">
								<div class="row widget footer-widget">
									<?php dynamic_sidebar('maxrank-footer-default'); ?>
								</div>
							</div>
	                    </div> <!-- /.row -->
	                </div>
	            </div>
	            <!-- footer top section -->

	            <div class="copyright-wrapper">
	                <div class="container">
	                    <div class="row">
	                        <div class="col-sm-12">
	                            <div class="copyright text-center">
									<?php $bottom_to_top_button = maxrank_option('footer-bottom-to-top-button', false, true);?>

									<?php if( $bottom_to_top_button == 1) : ?>
										<a class="backToTop hidden-xs" href="#home">
											<i class="fa fa-long-arrow-up" aria-hidden="true"></i>
										</a>
									<?php endif; ?>
									
									<p><?php if (maxrank_option('footer-copyright-text')) : ?>
						                <?php echo wp_kses(maxrank_option('footer-copyright-text'), array(
						                    'a'      => array(
						                        'href'   => array(),
						                        'title'  => array(),
						                        'target' => array()
						                    ),
						                    'br'     => array(),
						                    'em'     => array(),
						                    'strong' => array(),
						                    'ul'     => array(),
						                    'li'     => array(),
						                    'p'      => array(),
						                    'span'   => array(
						                        'class' => array()
						                    )
						                )); 
						                
						                else : ?>
						                <?php printf(esc_html__('Copyright &copy; %1$s | %2$s Theme by %3$s | Powered by %4$s', 'maxrank'), date('Y'), esc_html__('maxrank', 'maxrank'), "<a href='http://trendytheme.net'>".esc_html__('TrendyTheme', 'maxrank')."</a>", "<a href='https://wordpress.org'>".esc_html__('WordPress', 'maxrank')."</a>" ); ?>
						            <?php endif; ?></p>
	                            </div>
	                        </div>
	                    </div> <!-- .row -->
	                </div> <!-- .container -->
	            </div><!-- . footer bottom section -->
	        </footer>
	        <!-- footer -->
	    </div><!-- /#page-content-wrapper -->
	</div> <!-- /#wrapper -->
	<?php wp_footer(); ?>
	</body>
</html>