<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;
?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>">
    <?php wp_head(); ?>
</head>

<body id="home" <?php body_class(); ?> >
    <?php if (maxrank_option('page-preloader', false, true)) : ?>
        <div id="preloader" style="background-color: <?php echo esc_attr(maxrank_option('loader-bg-color', false, '#ffffff'));?>">
            <div id="status">
                <div class="status-mes" style="background-image: url(<?php echo esc_url(maxrank_option('tt-loader', 'url', get_template_directory_uri() . '/images/preloader.gif'));?>);"></div>
            </div>
        </div>
    <?php endif; ?>
    
<div id="wrapper">

    <?php 
    $header_topbar = "";

    if(function_exists('rwmb_meta')){
        $header_topbar = rwmb_meta('maxrank_header_topbar');
    }

    if($header_topbar == 'inherit-theme-option' || empty($header_topbar)) :
        if(maxrank_option('header-top-visibility', false, true)) :
            get_template_part('template-parts/header', 'topbar');
        endif;
    elseif($header_topbar == 'header-topbar-show') :
        get_template_part('template-parts/header', 'topbar');
    endif; ?>
		
    <div class="header-wrapper navbar-fixed-top">
        <nav class="navbar navbar-default">
            <div class="container">
					
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".mobile-toggle">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <?php if (maxrank_option('header-search-btn-visibility', false, true)) : ?>
                        <div class="menu-search pull-right hidden-lg hidden-md hidden-sm">
                            <i class="fa fa-search"></i>
                            <div class="menu-search-form">
                                <form role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <input type="search" class="form-control" placeholder="<?php echo esc_attr_x( 'Search', 'placeholder', 'maxrank' ); ?>" value="<?php echo get_search_query(); ?>" name="s"/>
                                    <input type="hidden" value="post" name="post_type" />
                                </form>
                            </div>
                        </div> 
                    <?php endif; ?>

					<?php 
                        $text_logo = ""; 
    					if( maxrank_option('logo-type') == false && maxrank_option('text-logo') ){
    						$text_logo = "text-logo";
    					}
					?>
					
                    <div class="navbar-brand <?php echo esc_attr($text_logo); ?>">
                        <h1>
                            <?php get_template_part('template-parts/site', 'logo');?>
                        </h1>
                    </div> <!-- .navbar-brand -->
                </div> <!-- .navbar-header -->

                <div class="main-menu-wrapper hidden-xs clearfix">

					<?php if( maxrank_option('header-seo-btn-visibility', false, true) ) : ?>
						<!-- Start Atribute Navigation -->
						<div class="attr-nav hidden-sm hidden-xs">
							<ul>
								<li>
                                    <?php $seo_bg_color = "";

                                    if (maxrank_option('header-seo-btn-color')) {
                                        $seo_bg_color = 'background-color: '.maxrank_option('header-seo-btn-color').'';
                                    } ?>
                                    <a id="header_seo_btn" style="<?php echo esc_attr($seo_bg_color); ?>" href="<?php echo esc_url(maxrank_option('header-seo-btn-link')); ?>" class="btn-cta"><?php echo esc_html(maxrank_option('header-seo-btn-text', false, 'Free SEO analysis')); ?></a>
                                </li>
							</ul>
						</div>
						<!-- End Atribute Navigation -->
					<?php endif; ?>
                    
                    <?php if (maxrank_option('header-search-btn-visibility', false, true)) : ?>
                        <div class="menu-search pull-right">
                            <i class="fa fa-search"></i>
                            <div class="menu-search-form">
                                <form role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <input type="search" class="form-control" placeholder="<?php echo esc_attr_x( 'Search', 'placeholder', 'maxrank' ); ?>" value="<?php echo get_search_query(); ?>" name="s" autofocus/>
                                    <input type="hidden" value="post" name="post_type" />
                                </form>
                            </div>
                        </div> 
                    <?php endif; ?>
				
                    <div class="main-menu">                   
                        <?php wp_nav_menu( apply_filters( 'maxrank_primary_wp_nav_menu', array(
                            'container'      => false,
                            'theme_location' => 'primary',
                            'items_wrap'     => '<ul id="%1$s" class="%2$s nav navbar-nav navbar-right">%3$s</ul>',
                            'walker'         => new maxrank_Navwalker(),
                            'fallback_cb'    => 'maxrank_Navwalker::fallback'
                        ))); ?>
                    </div>
                </div> <!-- /navbar-collapse -->

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="visible-xs">
                    <div class="mobile-menu collapse navbar-collapse mobile-toggle">
                        <?php wp_nav_menu( apply_filters( 'maxrank_primary_wp_nav_menu', array(
                              'container'      => false,
                              'theme_location' => 'primary',
                              'items_wrap'     => '<ul id="%1$s" class="%2$s nav navbar-nav">%3$s</ul>',
                              'walker'         => new maxrank_Mobile_Navwalker(),
                              'fallback_cb'    => 'maxrank_Mobile_Navwalker::fallback'
                        ))); ?>
                    </div> <!-- /.navbar-collapse -->
                </div>
            </div><!-- .container-->
        </nav>
    </div> <!-- .header-wrapper -->
    
    <div id="page-content-wrapper">

<?php get_template_part( 'page', 'header' );