/*
Theme Name: MaxRank
Author: TrendyTheme
*/

/* ======= TABLE OF CONTENTS =============================== 
    # Preloader
    # Enable bootstrap tooltip
    # Detect IE version
    # Mobile Dropdown Menu
    # Sticky Menu
    # Search icon setting
    # Add Class
    # Back To Top
    # Portfolio Loadmore Ajax
========================================================= */

jQuery(function ($) {

    'use strict';


    /* ======= Preloader ======= */
    (function () {
        $('#status').fadeOut();
        $('#preloader').delay(200).fadeOut('slow');
    }());


    /* ======= Enable bootstrap tooltip ======= */
    (function () {
        $('[data-toggle="tooltip"]').tooltip()
    }());

    /* ======= Add Remove Class ======= */
    (function () {
        $('.comment-respond .comment-form input[type="text"], .comment-respond .comment-form input[type="url"], .comment-respond .comment-form input[type="email"], .comment-respond .comment-form textarea').addClass('form-control');
    }());


    /* === Detect IE version === */
    (function () {
        
        function getIEVersion() {
            var match = navigator.userAgent.match(/(?:MSIE |Trident\/.*; rv:)(\d+)/);
            return match ? parseInt(match[1], 10) : false;
        }

        if( getIEVersion() ){
            $('html').addClass('ie'+getIEVersion());
        }

    }());


    /* === Mobile Dropdown Menu === */
    (function(){
        $('.dropdown-menu-trigger').each(function() {
            $(this).on('click', function(e){
                $(this).toggleClass('menu-collapsed');
            });
        });
    }());


    /* === Sticky Menu === */
    (function () {
        if (maxrankJSObject.maxrank_sticky_menu == true) {
            var nav = $('.navbar-fixed-top');
            var bodyClass = $('body');
            var scrolled = false;

            $(window).on('scroll', function () {
                if (10 < $(window).scrollTop() && !scrolled) {
                    nav.addClass('sticky').animate({ 'margin-top': '0px' });
                    bodyClass.addClass('sticky-active');
                    scrolled = true;
                }

                if (10 > $(window).scrollTop() && scrolled) {
                    nav.removeClass('sticky').css('margin-top', '0px');
                    bodyClass.removeClass('sticky-active');
                    scrolled = false;
                }
            });
        }

    }());


    /* === Search icon setting === */  
    (function () {
        $(window).click(function() {
            $('.menu-search-form').removeClass('search-collapsed');
        });
        $('.menu-search i.fa-search').on("click",function (event) {
            event.stopPropagation();
            $('.menu-search-form').toggleClass('search-collapsed');
        });

        $('.menu-search-form input.form-control').on('click', function(event){
            event.stopPropagation();
        })
    }());
    

	/* === Back To Top === */
    (function () {
    	$('.backToTop').on("click",function (e) {
    		e.preventDefault();
    		$("html, body").animate({
    			scrollTop: 0
    		}, 600);
    		return false;
    	});
	}());
	

    /* === Add Class === */
    (function () {
        //Add Class to Testimonial Carousel
        $("#testimonial-carousel .carousel-inner .item:first-child").addClass("active");
    }());


    /* === Portfolio Loadmore Ajax === */
    $(window).on('load', function () {
        var $content = $('.portfolio-loadmore');
        var $loader = $('.loadmore-btn');

        var perpage = $loader.data('postlimit'); 
        var allPosts = $loader.data('allposts');
        var offset = $content.find('.portfolio-items').length;
         
        $loader.on( 'click', load_ajax_posts );
         
        function load_ajax_posts() {
            $.ajax({
                type: 'POST',
                dataType: 'html',
                url: maxrankJSObject.ajaxurl,
                data: {
                    'perpage' : perpage,
                    'offset'  : offset,
                    'action'  : 'maxrank_more_post_ajax'
                },
                beforeSend: function(){
                    $('<i class="fa fa-spinner fa-spin"></i>').appendTo( ".loadmore-btn" ).fadeIn(100);
                },
                complete:function(){
                    $('.loadmore-btn .fa-spinner ').remove();
                },
                success: function (data) {
                    var $data = $(data);
                    console.log($data);

                    if ($data.length) {
                        var $newElements = $data.css({ opacity: 0 });
                        $content.append($newElements);
                        $newElements.animate({ opacity: 1 });
                    }

                    var newLenght = $content.find('.portfolio-items').length;

                    if(allPosts <= newLenght){
                        $('.loadmore-btn-wrap').fadeOut(400,function(){
                            $('.loadmore-btn-wrap').remove();
                        });
                    }
                },

                error : function () {
                    alert('failed');
                    console.log("error");
                }
            });
            
            offset += perpage;
            
            return false;
        }
    });

});