<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

add_action('init', 'maxrank_portfolio', 99 );
 
function maxrank_portfolio() {
 
    if (function_exists('kc_add_map')) { 
	
	function trendymag_category_slug(){
		$categories = get_categories(array('hide_empty' => false, 'taxonomy' => 'tt-portfolio-tax'));
		$lists = array();
		foreach($categories as $category) {
			$lists[] = array(
				$category->slug => $category->name
			);
		}
		return $lists;
	}
	
        kc_add_map( array(

            'tt-portfolio' => array(
                'name' => 'TT Portfolio',
                'description' => esc_html__('Add Portfolio', 'maxrank'),
                'icon' => 'sl-paper-plane',
                'category' => 'TT Elements',
                'params' => array(
				
					array(
                        'name' => 'posts_per_page',
                        'label' => esc_html__('Portfolio Number', 'maxrank'),
                        'type' => 'select',  
						'options' => array( 
							'3' => esc_html__('3', 'maxrank'),
							'6' => esc_html__('6', 'maxrank'),
							'9' => esc_html__('9', 'maxrank'),
							'12' => esc_html__('12', 'maxrank'),
						),
                        'admin_label' => true,
                    ),
					
					// category
					array(
                        'name' => 'category',
                        'label' => esc_html__('Category', 'maxrank'),
                        'type' => 'select',  
						'options' => trendymag_category_slug(),
                        'admin_label' => true,
                    ),
					
                    array(
                        'name' => 'order',
                        'label' => esc_html__('Order', 'maxrank'),
                        'type' => 'select',  
						'options' => array( 
							'title' => esc_html__('Title', 'maxrank'),
							'name' => esc_html__('Name', 'maxrank'),
							'date' => esc_html__('Date', 'maxrank'),
							'author' => esc_html__('Author', 'maxrank'),
							'rand' => esc_html__('Randomly', 'maxrank'),
						),
                        'admin_label' => true,
                    ),
					
                    array(
                        'name' => 'order_by',
                        'label' => esc_html__('Order By', 'maxrank'),
                        'type' => 'select',  
						'options' => array( 
							'ASC' => esc_html__('ASC', 'maxrank'),
							'DESC' => esc_html__('DESC', 'maxrank'),
							'rand' => esc_html__('Randomly', 'maxrank'),
						),
                        'admin_label' => true,
                    )
                  
                )
            ),
        )); // End add map
    } // End if
}