<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

add_action('init', 'maxrank_pricing_table', 99 );
 
function maxrank_pricing_table() {
 
    if (function_exists('kc_add_map')) { 
        kc_add_map( array(

            'tt-pricing-table' => array(
                'name' => 'TT Pricing Table',
                'description' => esc_html__('Add Pricing Table', 'maxrank'),
                'icon' => 'sl-paper-plane',
                'category' => 'TT Elements',
                'params' => array(
				
                    'general'=>array(
						array(
							'name' => 'package_name',
							'label' => esc_html__('Package Name', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'currency',
							'label' => esc_html__('Currency', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'price',
							'label' => esc_html__('Price', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'price_cent',
							'label' => esc_html__('Price Cent', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'package_duration',
							'label' => esc_html__('Per', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'table_info',
							'label' => esc_html__('Package Info', 'maxrank'),
							'type' => 'editor',
							'admin_label' => true,
						),
						
						array(
							'name' => 'button_link',
							'label' => esc_html__('Service Title', 'maxrank'),
							'type' => 'text',
							'admin_label' => true,
						),
						
						array(
							'name' => 'future_package',
							'label' => esc_html__('Future Plan Enable', 'maxrank'),
							'type' => 'toggle',
							'value' => 'no',
							'admin_label' => true,
						),
						
						array(
							'name' => 'theme_color',
							'label' => esc_html__('Theme', 'maxrank'),
							'type' => 'select',  
							'options' => array( 
								'btn-green' => esc_html__('Green Button', 'maxrank'),
								'btn-blue' => esc_html__('Blue Button', 'maxrank'),
								'btn-orange' => esc_html__('Orange Button', 'maxrank'),
								'btn-red' => esc_html__('Red Button', 'maxrank'),
							),
							'admin_label' => true,
						)
						
					),
					
                )
            ),
        )); // End add map
    } // End if
}