<?php
/*
Template Name: Portfolio Template
*/

if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; 

get_header(); ?>

<section class="gray-bg section-padding-100">
    <div class="container">
		<?php 
    	$portfolio_title = maxrank_option('portfolio-page-title');
    	$portfolio_sub_title = maxrank_option('portfolio-page-sub-title');
    	if($portfolio_title or $portfolio_sub_title) : ?>
	        <div class="row">
	            <div class="col-md-8 col-md-offset-2">
	                <div class="section-title-wrapper text-center mb-80">
					<?php if($portfolio_title) : ?>
	                    <h2 class="section-title"><?php echo esc_html($portfolio_title); ?></h2>
	                <?php endif; if($portfolio_sub_title) :?>
	                    <p><?php echo esc_html($portfolio_sub_title); ?></p>
	                <?php endif;?>
	                </div>
	            </div>
	        </div><!-- /.row -->
		<?php endif;?>
		
		<div class="row portfolio-loadmore">
		<?php
			$portfolio_per_page = maxrank_option('portfolio-per-page');
			$wp_query = new WP_Query(array(
				'post_type' => 'tt-portfolio',
				'posts_per_page' => $portfolio_per_page,
			));

			if ( $wp_query -> have_posts() ) : ?>
				<?php while( $wp_query -> have_posts() ) : $wp_query -> the_post(); ?>
					<div class="portfolio-items col-md-4 mb-30">
						<div class="portfolio-wrapper transition">
						
							<?php the_post_thumbnail('maxrank_portfolio_thumb', ['class' => 'img-responsive']); ?>

							<div class="portfolio-content">
								<div class="portfolio-caption">
									<h3>
										<a href="<?php the_permalink(); ?>">
											<?php the_title(); ?>
										</a>
									</h3>
									<ul class="list-inline portfolio-cat">
										<?php maxrank_portfolio_cat(); ?>
									</ul>
								</div>
								
								<div class="portfolio-caption-link">
									<a href="<?php the_permalink(); ?>"><i class="fa fa-arrow-circle-o-right"></i></a>
								</div>
							</div><!-- /.portfolio-content -->
						</div><!-- /.portfolio-wrapper -->
					</div> <!-- /.col-md-4 -->
				<?php endwhile; ?>
			<?php endif; ?>
		</div> <!-- /.row -->
		
	<?php
    $allposts = wp_count_posts('tt-portfolio');
    $postlimit = maxrank_option('portfolio-per-page');

    if ($allposts->publish > $postlimit && $postlimit != -1) : ?>
        <div class="row loadmore-btn-wrap text-center">
            <div class="col-md-12">
                <a id="loadMore" class="btn loadmore-btn btn-block" 
                data-postlimit="<?php echo intval($postlimit); ?>" 
                data-allposts="<?php echo intval($allposts->publish); ?>" 
                href="#"><?php echo esc_html_e('Load More', 'maxrank'); ?></a>
            </div>
        </div>
    <?php endif; ?>

    </div>
</section>
		
<?php get_footer(); ?>