<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; 

get_header(); 

$portfolio_info = $visit_url = "";

if (function_exists('rwmb_meta')) :
    $portfolio_info = rwmb_meta('maxrank_portfolio_meta');
    $visit_url = rwmb_meta('maxrank_portfolio_website');
endif; ?>


<div class="section-padding-100">
    <div class="container">
        <div class="row">
            <?php while( have_posts() ) : the_post(); ?>
                <div class="col-md-8 portfolio-overview">
                    <?php the_post_thumbnail('maxrank-blog-thumbnail', ['class' => 'img-responsive']); ?>
                    
                    <ul class="list-inline portfolio-tag">
                        <?php maxrank_portfolio_cat(); ?>
                    </ul>
                                    
                    <h2><?php the_title(); ?></h2>
                    <?php the_content(); ?>
                </div>

                <div class="col-md-4 quick-overview">
                    <ul class="portfolio-meta">
                        <?php 
                            if ($portfolio_info) :
                                foreach ($portfolio_info as $info_val) : ?>
                                    <li>
                                        <span> <?php echo esc_html($info_val[0], 'maxrank') ?> </span> 
                                        <?php echo esc_html($info_val[1], 'maxrank') ?>
                                    </li>
                                <?php endforeach;
                            elseif(is_user_logged_in()) : ?>
                                <li style="color: red;">
                                    <?php echo esc_html('Please add all info about this portfolio from metabox. e.g. Clint Name, Creadted By, Skills, Complete Date etc. ', 'maxrank'); ?>
                                </li>
                            <?php endif;
                        ?>
                        <li><span> <?php echo esc_html__('Share', 'maxrank'); ?> </span> 

                        <a href="//www.facebook.com/sharer.php?u=<?php echo rawurlencode( get_the_permalink() ) ?>&amp;t=<?php echo rawurlencode( get_the_title() ) ?>" title="<?php esc_html_e( 'Share on Facebook!', 'maxrank' ); ?>" target="_blank"><i class="fa fa-facebook"></i></a>

                        <a href="//twitter.com/home?status=<?php echo rawurlencode( sprintf( esc_html__( 'Reading: %s', 'maxrank' ), get_the_permalink() ) ) ?>" title="<?php esc_html_e( 'Share on Twitter!', 'maxrank' ); ?>" target="_blank" data-toggle="tooltip" data-placement="top"><i class="fa fa-twitter"></i></a>

                        <a href="//plus.google.com/share?url=<?php echo rawurlencode( get_the_permalink() ) ?>" title="<?php esc_html_e( 'Share on Google+!', 'maxrank' ); ?>" target="_blank" data-toggle="tooltip" data-placement="top"><i class="fa fa-google-plus"></i></a>

                        <a href="//www.linkedin.com/shareArticle?url=<?php echo rawurlencode( get_the_permalink() ) ?>&amp;mini=true&amp;title=<?php echo rawurlencode( get_the_title() ) ?>" title="<?php esc_html_e( 'Share on Linkedin!', 'maxrank' ); ?>" target="_blank" data-toggle="tooltip" data-placement="top"><i class="fa fa-linkedin"></i></a>
                        </li>
                    </ul>

                    <a href="<?php echo ($visit_url ? esc_html($visit_url) : 'http://www.trendytheme.net'); ?>" class="btn btn-primary"> <?php echo esc_html__('Visit website', 'maxrank') ?> </a>
                </div>
            <?php endwhile; ?>
        </div><!-- /.row -->
    </div><!-- /.container -->
</div><!-- /Portfolio details Section -->

<?php get_footer();