<?php

if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; 

get_header(); ?>
<!-- Portfolio details Section -->
<div class="section-padding-100">
    <div class="container">
        <div class="row">
        <?php

            $term = get_term_by('slug', get_query_var('term'), get_query_var('taxonomy'));
            $paged = ( get_query_var('paged') ) ? absint( get_query_var('paged') ) : 1;
            $args = array(
                'post_type'      => 'tt-portfolio',
                'posts_per_page' => maxrank_option('portfolio-per-page', false, true),
                'tt-portfolio-tax'   => $term->slug,
                'post_status'    => 'publish',
                'paged'          => $paged
            );
            $wp_query = new WP_Query( $args );

            if ( $wp_query -> have_posts() ) : ?>
                <?php while( $wp_query -> have_posts() ) : $wp_query -> the_post(); ?>
                    <div class="portfolio-items col-md-4 mb-30">
                        <div class="portfolio-wrapper transition">
                        
                            <?php the_post_thumbnail('maxrank_portfolio_thumb', ['class' => 'img-responsive']); ?>

                            <div class="portfolio-content">
                                <div class="portfolio-caption">
                                    <h3>
                                        <a href="<?php the_permalink(); ?>">
                                            <?php the_title(); ?>
                                        </a>
                                    </h3>
                                    <ul class="list-inline portfolio-cat">
                                        <?php maxrank_portfolio_cat(); ?>
                                    </ul>
                                </div>
                                
                                <div class="portfolio-caption-link">
                                    <a href="<?php the_permalink(); ?>"><i class="fa fa-arrow-circle-o-right"></i></a>
                                </div>
                            </div><!-- /.portfolio-content -->
                        </div><!-- /.portfolio-wrapper -->
                    </div> <!-- /.col-md-4 -->
                <?php endwhile; ?>

            <?php wp_reset_postdata(); ?>

            <?php else : ?>
                <p><?php esc_html_e( 'Sorry, no portfolio matched your criteria.', 'maxrank' ); ?></p>
            <?php endif; ?>

        </div> <!-- .row -->
    </div> <!-- .container -->
</div><!-- .Portfolio details Section -->
<?php get_footer(); ?>