<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

$audio_mp3 = "";
$audio_ogg = "";
$audio_wav = "";
$embed_audio = "";

if (function_exists('rwmb_meta')) :
    $audio_mp3 = rwmb_meta( 'maxrank_featured_mp3', 'type=file_input' );
    $audio_ogg = rwmb_meta( 'maxrank_featured_ogg', 'type=file_input' );
    $audio_wav = rwmb_meta( 'maxrank_featured_wav', 'type=file_input' );
    $embed_audio = rwmb_meta( 'maxrank_embed_audio', 'type=oembed' );
endif;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-wrapper mb-70'); ?>>
    <?php if ($embed_audio || $audio_mp3 || $audio_ogg || $audio_wav ) : ?>
        <header class="featured-wrapper">

            <?php if (function_exists('rwmb_meta')) :
                $audio_mp3 = rwmb_meta( 'maxrank_featured_mp3', 'type=file_input' );
                $audio_ogg = rwmb_meta( 'maxrank_featured_ogg', 'type=file_input' );
                $audio_wav = rwmb_meta( 'maxrank_featured_wav', 'type=file_input' );
                $embed_audio = rwmb_meta( 'maxrank_embed_audio', 'type=oembed' );
                        
                if ( !empty($embed_audio) or !empty($audio_mp3) or !empty($audio_ogg) or !empty($audio_wav) ) : ?>
                    <div class="post-thumbnail blog-audio">
                        <?php

                            if ($embed_audio and (empty($audio_mp3) or empty($audio_ogg) or empty($audio_wav))) :

                                echo rwmb_meta( 'maxrank_embed_audio', 'type=oembed' );

                            elseif (!empty($audio_mp3) or !empty($audio_ogg) or !empty($audio_wav)) : ?>

                            <audio preload="auto" controls="controls">

                                <?php if (!empty($audio_mp3)) : ?>
                                    <source src="<?php echo esc_url($audio_mp3); ?>" type="audio/mpeg"/>
                                <?php endif; ?>

                                <?php if (!empty($audio_ogg)) : ?>
                                    <source src="<?php echo esc_url($audio_ogg); ?>" type="audio/ogg"/>
                                <?php endif; ?>

                                <?php if (!empty($audio_wav)) : ?>
                                    <source src="<?php echo esc_url($audio_wav); ?>" type="audio/wav"/>
                                <?php endif; ?>
                                
                            </audio>

                        <?php endif; ?>
                    </div> <!-- .blog-audio -->
                <?php endif;
            endif;
            ?>
            
        </header><!-- .entry-header -->
    <?php endif; ?> <!-- $embed_audio -->

     <div class="blog-content">
            <div class="post-meta">
                <!---all post meta-->
                <?php maxrank_post_meta() ?>
            </div>
            <div class="entry-header">
                <h2>
                    <a href="<?php the_permalink() ?>"><?php the_title(); ?></a>
                </h2>
            </div>
            
            <div class="entry-content mt20">
                <?php 
                    the_content( '<span class="readmore">' . esc_html__( 'Read More', 'maxrank' ) . '</span>' );

                    wp_link_pages(array(
                        'before'      => '<div class="page-pagination"><span class="page-links-title">' . esc_html__('Pages:', 'maxrank') . '</span>',
                        'after'       => '</div>',
                        'link_before' => '<span>',
                        'link_after'  => '</span>',
                    ));
                ?>
            </div><!-- .entry-content -->

            <?php 
            $tags_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');

            if( $tags_list and is_single()) : ?>
                <div class="post-tags">
                    <span><?php esc_html_e('Tags:', 'maxrank') ?></span>
                    <?php printf(esc_html__('%1$s', 'maxrank'), $tags_list); ?>
                </div>
            <?php endif; ?>
        </div><!-- /.blog-content -->

</article>