<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

$tt_slides = "";

if (function_exists('rwmb_meta')) :
    $tt_slides = rwmb_meta('maxrank_post_gallery','type=image_advanced');
endif;

$thumb_size = 'maxrank-blog-thumbnail';
if(is_single()){
    $thumb_size = 'maxrank-single-post-thumbnail';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-wrapper mb-70'); ?>>
    <?php if ($tt_slides) : ?>
        <header class="featured-wrapper">
            <div class="post-thumbnail blog-gallery">
                <?php if(count($tt_slides) > 0) : ?>
                    <div class="carousel slide blog-carousel">
                        <div class="carousel-inner">
                            <?php 
                                $carousel_count = 1; 
                                foreach( $tt_slides as $slide ) : ?>
                                    <div class="item <?php if($carousel_count == 1) echo 'active'; ?>">
                                        
                                        <?php $images_src = wp_get_attachment_image_src( $slide['ID'], $thumb_size); ?>
                                        <img class="img-responsive" src="<?php echo esc_url($images_src[0]); ?>" alt="<?php get_the_title();?>">
                                        
                                        <?php if ( maxrank_option( 'post-lightbox-visibility' )) : ?>
                                            <div class="post-overlay">
                                                <?php $tt_full_image = wp_get_attachment_image_src( $slide['ID'], 'full' ); ?>

                                                <a href="<?php echo esc_url( $tt_full_image[ 0 ] ); ?>" class="blog-popup" ><i class="fa fa-expand"></i></a>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                <?php
                                $carousel_count++;
                                endforeach;
                            ?>
                        </div> <!-- .carousel-inner -->
                        
                        <!-- Controls -->
                        <a class="left carousel-control" href=".blog-carousel" data-slide="prev"><i class="fa fa-angle-left"></i></a>
                        <a class="right carousel-control" href=".blog-carousel" data-slide="next"><i class="fa fa-angle-right"></i></a>
                    </div> <!-- .blog-carousel -->

                <?php endif; ?> 
            </div> <!-- .blog-gallery -->
        </header><!-- .entry-header -->
    <?php endif; ?> <!-- $tt_slides -->

    <div class="blog-content">
        <div class="post-meta">
            <!---all post meta-->
            <?php maxrank_post_meta() ?>
        </div>

        <div class="entry-header">
            <?php 
				if (is_single()){
					the_title( '<h2 class="entry-title">', '</h2>' ); 
				} else {
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 
				}
			?>
        </div><!-- /.entry-header -->

        <div class="entry-content">
            <?php 
                the_content( '<span class="readmore">' . esc_html__( 'Read More', 'maxrank' ) . '</span>' );

                wp_link_pages(array(
                    'before'      => '<div class="page-pagination"><span class="page-links-title">' . esc_html__('Pages:', 'maxrank') . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ));
            ?>
        </div><!-- .entry-content -->

        <?php 
        $tags_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');

        if( $tags_list and is_single()) : ?>
            <div class="post-tags">
                <span><?php esc_html_e('Tags:', 'maxrank') ?></span>
                <?php printf(esc_html__('%1$s', 'maxrank'), $tags_list); ?>
            </div>
        <?php endif; ?>
    </div><!-- /.blog-content -->
</article>