<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-wrapper mb-70'); ?>>
    <header class="entry-header">
        <?php if (function_exists('rwmb_meta')) :
            $a_text = rwmb_meta( 'maxrank_link_text' );
            $a_href = rwmb_meta( 'maxrank_link', 'type=url' );
            $a_target = rwmb_meta( 'maxrank_link_target' );
            $a_title = rwmb_meta( 'maxrank_link_title' );

            if ($a_href) : ?>
            
                <div class="post-thumbnail blog-link">
                    <a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title); ?>" target="<?php echo esc_attr($a_target); ?>">
                        <?php 
                            if ($a_text) :
                                echo esc_html($a_text);
                            else : 
                                echo esc_html($a_href);
                            endif; 
                        ?>
                    </a>
                </div>
            <?php endif; 
        endif;
        ?>
		
    </header><!-- .entry-header -->

    <div class="blog-content">
        <div class="post-meta">
            <!---all post meta-->
            <?php maxrank_post_meta() ?>
        </div>
        <div class="entry-header">
            <?php 
				if (is_single()){
					the_title( '<h2 class="entry-title">', '</h2>' ); 
				} else {
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 
				}
			?>
        </div><!-- /.entry-header -->

        <div class="entry-content">
            <?php 
                the_content( '<span class="readmore">' . esc_html__( 'Read More', 'maxrank' ) . '</span>' );

                wp_link_pages(array(
                    'before'      => '<div class="page-pagination"><span class="page-links-title">' . esc_html__('Pages:', 'maxrank') . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ));
            ?>
        </div><!-- .entry-content -->

        <?php 
        $tags_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');

        if( $tags_list and is_single()) : ?>
            <div class="post-tags">
                <span><?php esc_html_e('Tags:', 'maxrank') ?></span>
                <?php printf(esc_html__('%1$s', 'maxrank'), $tags_list); ?>
            </div>
        <?php endif; ?>
    </div><!-- /.blog-content -->
</article>