<?php
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif;

$video_mp4 = $video_webm = $video_ogv = $embed_video = $embed_video_class = "";

if (function_exists('rwmb_meta')) :
    $video_mp4 = rwmb_meta( 'maxrank_featured_mp4', 'type=file_input' );
    $video_webm = rwmb_meta( 'maxrank_featured_webm', 'type=file_input' );
    $video_ogv = rwmb_meta( 'maxrank_featured_ogv', 'type=file_input' );
    $embed_video = rwmb_meta( 'maxrank_embed_video');
endif;

if($embed_video){
	$embed_video_class = "embed-video";
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-wrapper mb-70'); ?>>
    <?php if ($embed_video || $video_mp4 || $video_webm || $video_ogv ) : ?>
        <header class="featured-wrapper">
            <?php if ( !empty($embed_video) or !empty($video_mp4) or !empty($video_webm) or !empty($video_ogv) ) : ?>
                <div class="post-thumbnail blog-video <?php echo esc_attr($embed_video_class); ?>">
					<?php if ($embed_video and (empty($video_mp4) or empty($video_webm) or empty($video_ogv))) :

						echo rwmb_meta( 'maxrank_embed_video');

					elseif (!empty($video_mp4) or !empty($video_webm) or !empty($video_ogv)) : ?>
						<video preload="auto" controls="controls">
							<?php if (!empty($video_mp4)) : ?>
								<source src="<?php echo esc_url($video_mp4); ?>" type="video/mp4"/>
							<?php endif; ?>

							<?php if (!empty($video_webm)) : ?>
								<source src="<?php echo esc_url($video_webm); ?>" type="video/webm"/>
							<?php endif; ?>

							<?php if (!empty($video_ogv)) : ?>
								<source src="<?php echo esc_url($video_ogv); ?>" type="video/ogv"/>
							<?php endif; ?>
						</video>
					<?php 
					endif; ?>
				</div>
            <?php endif; ?>
        </header><!-- .entry-header -->
    <?php endif; ?> <!-- $embed_video -->

    <div class="blog-content">
	    <div class="post-meta">
	    	<!---all post meta-->
	    	<?php maxrank_post_meta() ?>
	    </div>
		<div class="entry-header">
			<?php 
				if (is_single()){
					the_title( '<h2 class="entry-title">', '</h2>' ); 
				} else {
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 
				}
			?>
		</div>
		
        <div class="entry-content mt20">
            <?php 
                the_content( '<span class="readmore">' . esc_html__( 'Read More', 'maxrank' ) . '</span>' );

                wp_link_pages(array(
                    'before'      => '<div class="page-pagination"><span class="page-links-title">' . esc_html__('Pages:', 'maxrank') . '</span>',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ));
            ?>
        </div><!-- .entry-content -->

        <?php 
        $tags_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');

        if( $tags_list and is_single()) : ?>
        	<div class="post-tags">
        		<span><?php esc_html_e('Tags:', 'maxrank') ?></span>
        		<?php printf(esc_html__('%1$s', 'maxrank'), $tags_list); ?>
        	</div>
        <?php endif; ?>
    </div><!-- /.blog-content -->
</article>