<?php if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; 

$thumb_size = 'maxrank-blog-thumbnail';
$no_shadow = null;
if(is_single()){
    $thumb_size = 'maxrank-single-post-thumbnail';
	$no_shadow = 'no-boxshadow';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-wrapper'); ?>>
	<?php if (has_post_thumbnail()): ?>
		<header class="post-header">
			<div class="post-thumbnail">
				<?php if(!is_single()) : ?>
					<a href="<?php the_permalink() ?>">
				<?php endif ?>
					<?php the_post_thumbnail($thumb_size, array('alt' => get_the_title(), 'class' => 'img-responsive')); ?>
				<?php if(!is_single()) : ?>
					</a>
				<?php endif ?>
			</div>
		</header>
	<?php endif ?>

	<div class="blog-content transition <?php echo esc_attr($no_shadow); ?>">
		<div class="post-meta">
			<!---all post meta-->
			<?php maxrank_post_meta() ?>
		</div>
		
		<div class="entry-header mb-20">
			<?php 
				if (is_single()){
					the_title( '<h2 class="entry-title">', '</h2>' ); 
				} else {
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 
				}
			?>
		</div>
		
		<div class="entry-content">
			
			<?php the_content( '<span class="readmore">' . esc_html__( 'Read More', 'maxrank' ) . '</span>' );
				
			wp_link_pages(array(
	            'before'      => '<div class="page-pagination"><span class="page-links-title">' . esc_html__('Pages:', 'maxrank') . '</span>',
	            'after'       => '</div>',
	            'link_before' => '<span>',
	            'link_after'  => '</span>',
	        )); ?>
		</div>
		
		<?php 
		$tags_list = get_the_tag_list('<ul><li>', '</li><li>', '</li></ul>');

		if( $tags_list and is_single()) : ?>
			<div class="post-tags">
				<span><?php esc_html_e('Tags:', 'maxrank') ?></span>
				<?php printf(esc_html__('%1$s', 'maxrank'), $tags_list); ?>
			</div>
		<?php endif; ?>
	</div>
</article>
























