<?php 
if ( ! defined( 'ABSPATH' ) ) :
    exit; // Exit if accessed directly
endif; 

$content_alignment = $margin_bottom = $padding_top = $padding_bottom = $parallax_background = $content_color = $overlay = "";
$header_background = 'background-image: url('.esc_url(maxrank_page_header_background()).');';

if (function_exists('rwmb_meta')) : 
    $content_alignment = rwmb_meta('maxrank_breadcrumb_content_alignment');
    if (rwmb_meta('maxrank_page_header_margin_bottom')) :
        $margin_bottom = 'margin-bottom: '.rwmb_meta('maxrank_page_header_margin_bottom').';';
    endif;
    if (rwmb_meta('maxrank_header_padding_top')) :
        $padding_top = 'padding-top: '.rwmb_meta('maxrank_header_padding_top').';';
    endif;
    if (rwmb_meta('maxrank_header_padding_bottom')) :
        $padding_bottom = 'padding-bottom: '.rwmb_meta('maxrank_header_padding_bottom').';';
    endif;

    // background options
    if (rwmb_meta('maxrank_page_header_color')) :
        $header_background = 'background-color: '.rwmb_meta('maxrank_page_header_color').';';
    endif;

    // parallax background
    if (rwmb_meta('maxrank_parallax_header_image') == 'parallax_header_bg') :
        $parallax_background = "bg-fixed";
    endif;

    // content color
    if (rwmb_meta('maxrank_header_content_color')) :
        $content_color = 'color: '.rwmb_meta('maxrank_header_content_color').';';
    endif;

    // overlay
    if (rwmb_meta('maxrank_background_overlay') == 'bg_overlay_enable' || maxrank_option('blog-title-overlay') && ! is_page() && !is_singular('tt-portfolio') && !is_singular('tt-joblist') && !is_singular('tt-member') && !is_singular('tt-service')) : 
        $overlay = 'overlay-enable';
    endif;

    $breadcrumb = rwmb_meta('maxrank_page_breadcrumb_show');
endif; ?>

<!--page title start-->
<section class="page-title <?php echo esc_attr($content_alignment.' '.$overlay.' '.$parallax_background)?>"  style="<?php echo esc_attr($header_background.' '.$margin_bottom.' '.$padding_top.' '.$padding_bottom); ?> "  role="banner">
    
    <?php if (function_exists('rwmb_meta')) : 
        if (rwmb_meta('maxrank_background_overlay') == 'bg_overlay_enable') : ?>
            <div class="title-overlay-color"></div>
        <?php endif;
    endif; ?>

    <?php if (maxrank_option('blog-title-overlay') && ! is_page() && !is_singular('tt-portfolio') && !is_singular('tt-joblist') && !is_singular('tt-member') && !is_singular('tt-service')): ?>
        <div class="title-overlay-color"></div>
    <?php endif ?>

    <div class="container">
		
        <h2 style="<?php echo esc_attr($content_color); ?>"><?php echo esc_html( maxrank_page_header_section_title() ); ?></h2>
	
		<?php
			if (function_exists('rwmb_meta') and rwmb_meta('maxrank_page_subtitle')) : ?>
				<span style="<?php echo esc_attr($content_color); ?>"><?php echo esc_html(rwmb_meta('maxrank_page_subtitle'));?></span>
			<?php endif;
		?>
		
		<?php if(function_exists('rwmb_meta') and empty($breadcrumb) || $breadcrumb == 'page_breadcrumb_show') : ?>
            <div class="tt-breadcrumb">
                <?php maxrank_breadcrumbs(); ?>
            </div>
		<?php endif; ?>

        <style>
            ul.breadcrumb li,
            ul.breadcrumb li a,
            .page-title .breadcrumb li a:hover, 
            .page-title .breadcrumb>.active, 
            .page-title .breadcrumb>li+li:before{
                <?php echo esc_attr($content_color) ?>;
            }

        </style>
		
    </div><!-- .container -->
</section> <!-- page-title -->
